Bug 139707 - ntpd shows selinux policy problems during startup
ntpd shows selinux policy problems during startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-17 12:30 EST by Johannes Schmid
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 12:29:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johannes Schmid 2004-11-17 12:30:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.3)
Gecko/20040910

Description of problem:
When starting ntpd during boot on a pretty vanilla FC3 I get the
following messages:

Starting ntpd:                                             [  OK  ]
audit(1100712660.440:0): avc:  denied  { read } for  pid=1939
exe=/usr/sbin/ntpd name=mtab dev=hda3 ino=50182
scontext=user_u:system_r:ntpd_t
tcontext=system_u:object_r:etc_runtime_t tclass=file
audit(1100712660.440:0): avc:  denied  { read } for  pid=1939
exe=/usr/sbin/ntpd name=meminfo dev=proc ino=-268435454
scontext=user_u:system_r:ntpd_t tcontext=system_u:object_r:proc_t
tclass=file


Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.17.30-2.19
ntp-4.2.0.a.20040617-4

Steps to Reproduce:
1. install ntpd
2. chkconfig ntpd on
3. reboot
4. wait
    

Actual Results:  seeing above audit messages

Expected Results:  see none of the above messages
Comment 1 Daniel Walsh 2004-11-17 13:09:03 EST
Fixed in the fedora-updates policy.

Currently selinux-policy-targeted-1.17.30-2.30
Comment 2 James Laska 2004-12-02 12:29:39 EST
confirmed fix in selinux-policy-targeted-1.17.30-2.35

Note You need to log in before you can comment on or make changes to this bug.